Skip to main content
GET
/
field-configurations
/
{id}
/
items
List Field Configuration Items
curl --request GET \
  --url https://api.attention.tech/v2/field-configurations/{id}/items \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11__item-01",
      "fieldConfigurationUUID": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11",
      "title": "Budget Range",
      "category": "CRM",
      "contents": "What is the customer's stated budget range?",
      "promptType": "freeform",
      "contentType": "text"
    }
  ],
  "meta": {
    "totalRecords": 1,
    "pageNumber": 1,
    "pageSize": 50,
    "pageCount": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attention.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

UUID of the field configuration.

Query Parameters

page
integer

1-indexed page number. Defaults to 1.

size
integer

Page size. Defaults to 50; maximum 200.

Response

Items successfully retrieved.

Paginated envelope containing a list of items belonging to a single field configuration.

data
object[]

Field-configuration items for the current page.

meta
object
Example:
{
"pageCount": 5,
"totalRecords": 100,
"pageNumber": 1,
"pageSize": 20
}